### Struct

# Qmi MessageOmaSetEventReportInput

since: 1.6

#### Description [src]

    struct QmiMessageOmaSetEventReportInput {
      /* No available fields */
    }

The `QmiMessageOmaSetEventReportInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.6

#### Constructors

###### qmi_message_oma_set_event_report_input_new

Allocates a new `QmiMessageOmaSetEventReportInput`.

since: 1.6

#### Instance methods

###### qmi_message_oma_set_event_report_input_get_network_initiated_alert_reporting

Get the ‘Network Initiated Alert Reporting’ field from `self`.

since: 1.6

###### qmi_message_oma_set_event_report_input_get_session_state_reporting

Get the ‘Session State Reporting’ field from `self`.

since: 1.6

###### qmi_message_oma_set_event_report_input_ref

Atomically increments the reference count of `self` by one.

since: 1.6

###### qmi_message_oma_set_event_report_input_set_network_initiated_alert_reporting

Set the ‘Network Initiated Alert Reporting’ field in the message.

since: 1.6

###### qmi_message_oma_set_event_report_input_set_session_state_reporting

Set the ‘Session State Reporting’ field in the message.

since: 1.6

###### qmi_message_oma_set_event_report_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.6